Skip to main content
GET
GET
Returns the live status of a scan. Poll this endpoint to track scan progress until status changes to completed or failed.
Poll every 5–10 seconds. The scan lifecycle is: scheduledin_progresscompleted (or failed / canceled).

Query Parameters

string
required
UUID of the website to check the scan status for.
string
UUID of a specific scan. If omitted, returns the status of the most recent scan.

Response

boolean
true on a successful request.
string
Current scan status: scheduled, in_progress, completed, failed, or canceled.
string
UUID of the scan being tracked.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

website_id
string<uuid>
required
audit_id
string<uuid>

Response

200 - application/json

Scan status

success
boolean
data
object